com::lomiri::location::providers::remote::Interface::Skeleton Struct Reference

`#include <interface.h>`

Collaboration diagram for com::lomiri::location::providers::remote::Interface::Skeleton:

## Public Member Functions

| Skeleton (const core::dbus::Object::Ptr &object)

## Public Attributes

core::dbus::Object::Ptr | object
struct { |
std::shared_ptr< core::dbus::Property< Properties::HasPosition > > has_position |
std::shared_ptr< core::dbus::Property< Properties::HasVelocity > > has_velocity |
std::shared_ptr< core::dbus::Property< Properties::HasHeading > > has_heading |
std::shared_ptr< core::dbus::Property< Properties::RequiresSatellites > > requires_satellites |
std::shared_ptr< core::dbus::Property< Properties::RequiresCellNetwork > > requires_cell_network |
std::shared_ptr< core::dbus::Property< Properties::RequiresDataNetwork > > requires_data_network |
std::shared_ptr< core::dbus::Property< Properties::RequiresMonetarySpending > > requires_monetary_spending |
std::shared_ptr< core::dbus::Property< Properties::ArePositionUpdatesRunning > > are_position_updates_running |
std::shared_ptr< core::dbus::Property< Properties::AreHeadingUpdatesRunning > > are_heading_updates_running |
std::shared_ptr< core::dbus::Property< Properties::AreVelocityUpdatesRunning > > are_velocity_updates_running |
} | properties
struct { |
std::shared_ptr< core::dbus::Signal< Signals::PositionChanged, Signals::PositionChanged::ArgumentType > > position_changed |
std::shared_ptr< core::dbus::Signal< Signals::HeadingChanged, Signals::HeadingChanged::ArgumentType > > heading_changed |
std::shared_ptr< core::dbus::Signal< Signals::VelocityChanged, Signals::VelocityChanged::ArgumentType > > velocity_changed |
} | signals

## Detailed Description

Definition at line 97 of file providers/remote/interface.h.

## Constructor & Destructor Documentation

## Skeleton()

com::lomiri::location::providers::remote::Interface::Skeleton::Skeleton | ( | const core::dbus::Object::Ptr & | object | ) |

inline

Definition at line 101 of file providers/remote/interface.h.

References object, and properties.

## Member Data Documentation

## are_heading_updates_running

std::shared_ptr<core::dbus::Property<Properties::AreHeadingUpdatesRunning> > com::lomiri::location::providers::remote::Interface::Skeleton::are_heading_updates_running

Definition at line 138 of file providers/remote/interface.h.

## are_position_updates_running

std::shared_ptr<core::dbus::Property<Properties::ArePositionUpdatesRunning> > com::lomiri::location::providers::remote::Interface::Skeleton::are_position_updates_running

Definition at line 137 of file providers/remote/interface.h.

## are_velocity_updates_running

std::shared_ptr<core::dbus::Property<Properties::AreVelocityUpdatesRunning> > com::lomiri::location::providers::remote::Interface::Skeleton::are_velocity_updates_running

Definition at line 139 of file providers/remote/interface.h.

## has_heading

std::shared_ptr<core::dbus::Property<Properties::HasHeading> > com::lomiri::location::providers::remote::Interface::Skeleton::has_heading

Definition at line 132 of file providers/remote/interface.h.

## has_position

std::shared_ptr<core::dbus::Property<Properties::HasPosition> > com::lomiri::location::providers::remote::Interface::Skeleton::has_position

Definition at line 130 of file providers/remote/interface.h.

## has_velocity

std::shared_ptr<core::dbus::Property<Properties::HasVelocity> > com::lomiri::location::providers::remote::Interface::Skeleton::has_velocity

Definition at line 131 of file providers/remote/interface.h.

## heading_changed

std::shared_ptr<core::dbus::Signal< Signals::HeadingChanged, Signals::HeadingChanged::ArgumentType > > com::lomiri::location::providers::remote::Interface::Skeleton::heading_changed

Definition at line 152 of file providers/remote/interface.h.

## object

core::dbus::Object::Ptr com::lomiri::location::providers::remote::Interface::Skeleton::object

Definition at line 126 of file providers/remote/interface.h.

Referenced by Skeleton().

## position_changed

std::shared_ptr<core::dbus::Signal< Signals::PositionChanged, Signals::PositionChanged::ArgumentType > > com::lomiri::location::providers::remote::Interface::Skeleton::position_changed

Definition at line 147 of file providers/remote/interface.h.

## [struct]

struct { ... } com::lomiri::location::providers::remote::Interface::Skeleton::properties

Referenced by Skeleton().

## requires_cell_network

std::shared_ptr<core::dbus::Property<Properties::RequiresCellNetwork> > com::lomiri::location::providers::remote::Interface::Skeleton::requires_cell_network

Definition at line 134 of file providers/remote/interface.h.

## requires_data_network

std::shared_ptr<core::dbus::Property<Properties::RequiresDataNetwork> > com::lomiri::location::providers::remote::Interface::Skeleton::requires_data_network

Definition at line 135 of file providers/remote/interface.h.

## requires_monetary_spending

std::shared_ptr<core::dbus::Property<Properties::RequiresMonetarySpending> > com::lomiri::location::providers::remote::Interface::Skeleton::requires_monetary_spending

Definition at line 136 of file providers/remote/interface.h.

## requires_satellites

std::shared_ptr<core::dbus::Property<Properties::RequiresSatellites> > com::lomiri::location::providers::remote::Interface::Skeleton::requires_satellites

Definition at line 133 of file providers/remote/interface.h.

## [struct]

struct { ... } com::lomiri::location::providers::remote::Interface::Skeleton::signals

## velocity_changed

std::shared_ptr<core::dbus::Signal< Signals::VelocityChanged, Signals::VelocityChanged::ArgumentType > > com::lomiri::location::providers::remote::Interface::Skeleton::velocity_changed

Definition at line 157 of file providers/remote/interface.h.

The documentation for this struct was generated from the following file:

- providers/remote/interface.h